Bug 1259109 - ValueError: Cannot remove extended partition sda4. Logical partitions present. [NEEDINFO]
ValueError: Cannot remove extended partition sda4. Logical partitions present.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:d4afa243a80a12c10de6f6378eb...
:
: 1259110 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 20:36 EDT by Yonatan
Modified: 2016-04-29 13:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 13:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (yonatan.el.amigo)


Attachments (Terms of Use)

  None (edit)
Description Yonatan 2015-09-01 20:36:45 EDT
Version-Release number of selected component:
anaconda-core-23.17-1.fc23.i686

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 485, in removeHook
    "Logical partitions present." % self.name)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 227, in _removeDevice
    dev.removeHook(modparent=modparent)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 316, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1091, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python3.4/site-packages/blivet/partitioning.py", line 483, in updateExtendedPartitions
    storage.destroyDevice(part)
  File "/usr/lib/python3.4/site-packages/blivet/partitioning.py", line 573, in doPartitioning
    updateExtendedPartitions(storage, disks)
  File "/usr/lib/python3.4/site-packages/blivet/autopart.py", line 501, in doAutoPartition
    doPartitioning(storage)
  File "/usr/lib/python3.4/site-packages/pyanaconda/kickstart.py", line 346, in execute
    doAutoPartition(storage, ksdata, min_luks_entropy=MIN_CREATE_ENTROPY)
  File "/usr/lib/python3.4/site-packages/pyanaconda/kickstart.py", line 2179, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 342, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
ValueError: Cannot remove extended partition sda4.  Logical partitions present.

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=/isolinux/initrd0.img root=live:UUID=E99D-C048 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 nomodeset BOOT_IMAGE=/isolinux/vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.i686
other involved packages: anaconda-gui-23.17-1.fc23.i686, python3-blivet-1.10-1.fc23.noarch, python3-libs-3.4.3-5.fc23.i686
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Vojtech Trefny 2015-09-02 09:42:53 EDT
*** Bug 1259110 has been marked as a duplicate of this bug. ***
Comment 2 David Shea 2016-03-09 14:19:59 EST
Please attach the logs from /tmp to this bug as individual, text/plain attachments.

Note You need to log in before you can comment on or make changes to this bug.